#if !defined(AFX_EDITVPG_H__995AC981_EAC0_4EA7_AEC4_34267D9AD5E4__INCLUDED_)
#define AFX_EDITVPG_H__995AC981_EAC0_4EA7_AEC4_34267D9AD5E4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditVPg.h : ヘッダー ファイル
//

#include "EditVCtx.h"

/////////////////////////////////////////////////////////////////////////////
// CEditVPg ウィンドウ

class CEditVPg : public CDialog
{
public:
	// 
	CEditVPg(CEditVCtx &vctx, CWnd* pParent = NULL);
	// 
	BOOL Create(UINT nVal, CWnd *pParent)
	{
		m_nInitVal = nVal;
		m_strInitText = "";

		if (CDialog::Create(GetTemplateName(), pParent)) {
			return TRUE;
		}
		return FALSE;
	}
	// 
	BOOL Create(LPCSTR pszInitText, CWnd *pParent)
	{
		m_nInitVal = 0;
		m_strInitText = pszInitText;

		if (CDialog::Create(GetTemplateName(), pParent)) {
			return TRUE;
		}
		return FALSE;
	}
	// 
	void OnCancel() { }
	// 
	bool OnApply()
	{
		if (!UpdateData()) {
			return false;
		}
		return true;
	}

	// 
	virtual void Construction() { }
	// 
	virtual UINT GetVal() = NULL;
	// 
	virtual LPCTSTR GetText() { return m_strInitText; }
	// 
	virtual LPCTSTR GetTemplateName() = NULL;

protected:
	// 
	CEditVCtx &m_vctx;
	// 
	UINT m_nInitVal;
	// 
	CString m_strInitText;
	// 
	CWVCF &m_wvcf;

// アトリビュート
public:

// オペレーション
public:

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。

	//{{AFX_VIRTUAL(CEditVPg)
	//}}AFX_VIRTUAL

	// 生成されたメッセージ マップ関数
protected:
	//{{AFX_MSG(CEditVPg)
		// メモ - ClassWizard はこの位置にメンバ関数を追加または削除します。
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_EDITVPG_H__995AC981_EAC0_4EA7_AEC4_34267D9AD5E4__INCLUDED_)
